#include "LTRServiceTypeInfo.h"

namespace LQMeas {
    const LTRServiceTypeInfo &LTRServiceTypeInfo::defaultInfo() {
        static const LTRServiceTypeInfo info;
        return info;
    }

    QString LTRServiceTypeInfo::deviceTypeName() const {
        static const QString str {QStringLiteral("ltrd")};
        return str;
    }

    QList<const DeviceTypeInfo *> LTRServiceTypeInfo::modificationList() const {
        static const QList<const DeviceTypeInfo *> list { &defaultInfo() };
        return list;
    }
}
