#ifndef LQMEAS_LTRSERVICETYPEINFO_H
#define LQMEAS_LTRSERVICETYPEINFO_H


#include "lqmeas/devs/DeviceTypeInfo.h"

namespace LQMeas {
    class LTRServiceTypeInfo : public DeviceTypeInfo {
    public:
        static const LTRServiceTypeInfo &defaultInfo();

        QString deviceTypeName() const override;
        int maxChildDevicesCount() const override {return  INT_MAX;}

        QList<const DeviceTypeInfo *> modificationList() const override;
    };
}

#endif // LQMEAS_LTRSERVICETYPEINFO_H
